#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xe56e5e8b, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x25257b0f, __VMLINUX_SYMBOL_STR(platform_driver_unregister) },
	{ 0xde86fc78, __VMLINUX_SYMBOL_STR(__platform_driver_register) },
	{ 0x1e047854, __VMLINUX_SYMBOL_STR(warn_slowpath_fmt) },
	{ 0xcb85a4f6, __VMLINUX_SYMBOL_STR(phy_set_mode) },
	{ 0xc8ead676, __VMLINUX_SYMBOL_STR(phy_power_on) },
	{ 0x2a3aa678, __VMLINUX_SYMBOL_STR(_test_and_clear_bit) },
	{ 0x2e229bce, __VMLINUX_SYMBOL_STR(__devm_reset_control_get) },
	{ 0xc76cd536, __VMLINUX_SYMBOL_STR(platform_device_register_full) },
	{ 0x99f6d0c5, __VMLINUX_SYMBOL_STR(devm_usb_get_phy) },
	{ 0xbb5145bc, __VMLINUX_SYMBOL_STR(usb_phy_generic_register) },
	{ 0x24ac3c15, __VMLINUX_SYMBOL_STR(devm_phy_get) },
	{ 0x184cd867, __VMLINUX_SYMBOL_STR(extcon_get_edev_by_phandle) },
	{ 0xc7172f8a, __VMLINUX_SYMBOL_STR(devm_clk_get) },
	{ 0xdc69f289, __VMLINUX_SYMBOL_STR(of_device_is_compatible) },
	{ 0x232a011f, __VMLINUX_SYMBOL_STR(usb_get_dr_mode) },
	{ 0xfa2a45e, __VMLINUX_SYMBOL_STR(__memzero) },
	{ 0xdf193681, __VMLINUX_SYMBOL_STR(devm_kmalloc) },
	{ 0x7fc2e929, __VMLINUX_SYMBOL_STR(__pm_runtime_resume) },
	{ 0x9a0b8c03, __VMLINUX_SYMBOL_STR(phy_init) },
	{ 0x1e9d0ad2, __VMLINUX_SYMBOL_STR(devm_extcon_register_notifier) },
	{ 0xb2210d64, __VMLINUX_SYMBOL_STR(reset_control_deassert) },
	{ 0x815588a6, __VMLINUX_SYMBOL_STR(clk_enable) },
	{ 0x7c9a7371, __VMLINUX_SYMBOL_STR(clk_prepare) },
	{ 0x6620a5cc, __VMLINUX_SYMBOL_STR(sunxi_sram_claim) },
	{ 0xcb32cb36, __VMLINUX_SYMBOL_STR(musb_writeb) },
	{ 0x51d559d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0xe60d762f, __VMLINUX_SYMBOL_STR(musb_interrupt) },
	{ 0x598542b2, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0x5ea95ec8, __VMLINUX_SYMBOL_STR(phy_power_off) },
	{ 0x6c4b6684, __VMLINUX_SYMBOL_STR(reset_control_assert) },
	{ 0x31d94a98, __VMLINUX_SYMBOL_STR(devm_usb_put_phy) },
	{ 0xfc5946fd, __VMLINUX_SYMBOL_STR(sunxi_sram_release) },
	{ 0xb077e70a, __VMLINUX_SYMBOL_STR(clk_unprepare) },
	{ 0xb6e6d99d, __VMLINUX_SYMBOL_STR(clk_disable) },
	{ 0x8782adab, __VMLINUX_SYMBOL_STR(phy_exit) },
	{ 0x4205ad24, __VMLINUX_SYMBOL_STR(cancel_work_sync) },
	{ 0x8669160, __VMLINUX_SYMBOL_STR(__pm_runtime_idle) },
	{ 0xca54fee, __VMLINUX_SYMBOL_STR(_test_and_set_bit) },
	{ 0xcd61a550, __VMLINUX_SYMBOL_STR(dev_warn) },
	{ 0x81c2bbc3, __VMLINUX_SYMBOL_STR(musb_root_disconnect) },
	{ 0xb6b60336, __VMLINUX_SYMBOL_STR(sun4i_usb_phy_set_squelch_detect) },
	{ 0x822137e2, __VMLINUX_SYMBOL_STR(arm_heavy_mb) },
	{ 0xb2d48a2e, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0x676bbc0f, __VMLINUX_SYMBOL_STR(_set_bit) },
	{ 0x49ebacbd, __VMLINUX_SYMBOL_STR(_clear_bit) },
	{ 0x658a57e8, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x64ca8413, __VMLINUX_SYMBOL_STR(usb_phy_generic_unregister) },
	{ 0xd4a2af64, __VMLINUX_SYMBOL_STR(platform_device_unregister) },
	{ 0x2e5810c6, __VMLINUX_SYMBOL_STR(__aeabi_unwind_cpp_pr1) },
	{ 0xb1ad28e0, __VMLINUX_SYMBOL_STR(__gnu_mcount_nc) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=phy-generic,musb_hdrc,phy-sun4i-usb";

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-musb");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-musbC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-musb");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-musbC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-musb");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-musbC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-musb");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-musbC*");

MODULE_INFO(srcversion, "B680D4A51588920853C60F9");

MODULE_INFO(suserelease, "openSUSE Leap 42.3");
